vos remove                 AFS Commands              vos remove


NAME

   vos remove -- remove specified volume from a site.


   vos remove  -server <machine name>  -partition <partition
   name>       -id <volume name or ID> [-cell <cell name>]
   [-noauth]
   [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos remo  -s <machine name>  -p <partition name>
   -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]  [-v]
   [-h]

DESCRIPTION

   Removes  the  indicated  volume  from  the site specified by
   -server and -partition.  The VLDB records the removal,  with
   the precise results described below.

   Use  this  command  to  remove  any  of  the  three types of
   volumes; the exact effect differs for the types:

      - Removing a ReadWrite volume automatically  removes
        its  associated  Backup  copy  as  well.  The site
        information for both  is  removed  from  the  VLDB
        entry,  and their status flags are set to invalid,
        but their volumeIDs are still recorded.   ReadOnly
        sites,  if  any, are not affected.  The whole VLDB
        entry is removed if there are no ReadOnly sites.

      - Removing ReadOnly  copies  is  on  a  site-by-site
        basis, as specified by -server and -partition. The
        specified site is erased from the VLDB entry.   If
        no ReadOnly sites remain, the VLDB status flag for
        ReadOnly changes  to  invalid,  but  the  ReadOnly
        volumeID is still recorded.

      - Removing  a Backup copy marks it as invalid in the
        VLDB entry, but does not erase its volumeID.

   This command is appropriate  in  almost  all  circumstances.
   Other  commands  (vos delentry, vos remsite and vos zap) are
   available for removing  volumes  or  VLDB  entries,  but  by
   definition  they  can  put the volumes and VLDB out of sync.
   Use them only in  the  special  circumstances  mentioned  in
   their command descriptions.

ARGUMENTS

   -server         names  the  file  server  machine  where the
                   volume  resides.    Abbreviated   forms   of
                   machine  names  may  be allowed depending on
                   the naming service available at the time the
                   command  is  issued;  see  page  xii  in the
                   introductory  About  This  Manual   chapter.
                   -partition
                   names the particular partition  to  inspect.
                   In  addition  to  the full /vicepx form of a



                   partition  name,  three  shorter  forms  are
                   acceptable; see page xii in the introductory
                   About This Manual chapter.

   -id             specifies  either  the  complete   name   or
                   volumeID  number  of  a volume of the any of
                   the three types. When removing a ReadOnly or
                   Backup volume, avoid accidently removing the
                   ReadWrite source by:

                   EITHER specifying the appropriate extension 
                   if providing a name

                   OR using the appropriate volumeID number if 

   -cell           specifies the  cell  in  which  to  run  the
                   command.    See section 8.3 in the Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to assign  the  identity  anonymous  to  the
                   issuer.    See  section 8.3 in the Reference
                   Manual for more details.  -localauth
                   constructs  a server ticket using a key from
                   /usr/afs/etc/KeyFile.  See  section  8.3  in
                   the   Reference  Manual  for  more  details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to report on what they  are  doing  as  they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not provide any  other  arguments  or  flags
                   with  this  one.    See  section  8.3 in the
                   Reference Manual for more details.

EXAMPLES

   The following removes the ReadWrite  volume  user.terry  and
   its  Backup  version,  if  any,  from their site (/vicepc on
   fs3.transarc.com).

   % vos remo fs3.transarc.com c user.terry

   The following removes the ReadOnly volume  root.afs.readonly
   from one of its sites, /vicepa on fs1.transarc.com.

   % vos remo fs1.transarc.com a root.afs.readonly

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.



MORE INFORMATION

   vos delentry vos remsite vos zap
